<div style="text-align:center" class="main">
  <h1>
    Welcome to {{ title }}!
  </h1>
  <div class="sub-main">
    <mat-label style="position: absolute">Mode of auto-complete-search</mat-label>
    <mat-button-toggle-group appearance="legacy"
                             style="margin-top: 30px; margin-bottom: 25px;"
                             [formControl]="mode"
                             (change)="onModeChange($event)"

                             name="mode" aria-label="Select mode">
      <mat-button-toggle [checked]="true" value="false">match at any location</mat-button-toggle>
      <mat-button-toggle value="true">match first char only</mat-button-toggle>
    </mat-button-toggle-group>

    <app-auto-complete-search-box
            [options]="options"
            [matchFirstChar]="matchFirstChar">
    </app-auto-complete-search-box>
  </div>
</div>